Package pacManReloaded.common.model

## Enum GhostColor

- java.lang.Object
- - java.lang.Enum<GhostColor>
  - - pacManReloaded.common.model.GhostColor

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<GhostColor>`

      public enum GhostColor
      extends java.lang.Enum<GhostColor>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `blue` |
    `pink` |
    `red` |
    `yellow` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GhostColor` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static GhostColor[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### blue

          public static final GhostColor blue

    - #### red

          public static final GhostColor red

    - #### pink

          public static final GhostColor pink

    - #### yellow

          public static final GhostColor yellow

  - ### Method Detail

    - #### values

          public static GhostColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GhostColor c : GhostColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GhostColor valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null